Package twisted :: Package internet :: Module tksupport

[frames | no frames]

## Module twisted.internet.tksupport

This module integrates Tkinter with twisted.internet's mainloop.

API Stability: semi-stable

Maintainer: Itamar Shtull-Trauring

To use, do:

       | tksupport.install(rootWidget)

and then run your reactor as usual - do *not* call Tk's mainloop(), use Twisted's regular mechanism for running the event loop.

Likewise, to stop your program you will need to stop Twisted's event loop. For example, if you want closing your root widget to stop Twisted:

       | root.protocol('WM_DELETE_WINDOW', reactor.stop)

Function Summary
| `_guiUpdate(reactor, widget, delay)`
| `getPassword(prompt, confirm)`
| ``install`(widget, ms, reactor)` Install a Tkinter.Tk() object into the reactor.
| `installTkFunctions()`

Function Details

### install(widget, ms=10, reactor=None)

Install a Tkinter.Tk() object into the reactor.

Generated by Epydoc 2.0 on Sat May 15 20:08:33 2004 | http://epydoc.sf.net